; ====================================================================================================
; Title:          Animated Image Gadget Example
; Description:    An example showing the features of the Animated Image Gadget User Library.
; Revision:       1
; Author(s):      Michael R. King
; ====================================================================================================

; - Detect which Library Version is being used -
CompilerIf Defined(AIG_ApplyAnimation, #PB_Function)
  #AIG_Prefixed = #True
CompilerElse
  #AIG_Prefixed = #False
CompilerEndIf

; ----------------------------
; - For the Standard Version -
; ----------------------------

CompilerIf #AIG_Prefixed = #False
  
  OpenWindow(0, 0, 0, 300, 300, "Animated Image Gadget Example", #PB_Window_ScreenCentered)
  
  ImageGadget(0, 20, 20, 32, 32, 0)
  
  LoadImage(0, "AnimStrip.bmp")
  ApplyImageGadgetAnimation(0, 0)
  Debug ImageID(0)
  
  PlayImageGadgetAnimation(0)
  
   Repeat
    Select WindowEvent()
      Case #PB_Event_CloseWindow
        End
    EndSelect
    
    AnimateImageGadgets()
    
    
  ForEver
    
CompilerEndIf

; ----------------------------
; - For the Prefixed Version -
; ----------------------------

CompilerIf #AIG_Prefixed = #True
  
  OpenWindow(0, 0, 0, 300, 300, "Animated Image Gadget Example", #PB_Window_ScreenCentered)
  
  ImageGadget(0, 20, 20, 32, 32, 0)
  
  LoadImage(0, "AnimStrip.bmp")
  
  AIG_ApplyAnimation(0, 0)
  AIG_SetSpeed(0, 53)

  
  Repeat
    Select WindowEvent()
      Case #PB_Event_CloseWindow
        End
    EndSelect
    
    AIG_Animate()
  ForEver
  
CompilerEndIf